DO $$
DECLARE
	_path character varying(256) := 'patch-2026_02_19-UpdateRooms';
	_build integer := 16615;
BEGIN
	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
		RETURN;
	END IF;

	IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= _build) THEN
		RETURN;
	END IF;

	BEGIN
		UPDATE public."DirectoryPatterns" SET "Name"='Комнаты' WHERE "Name"='Команты';
		UPDATE public."DocumentDirectories" SET "Name"='Комнаты' WHERE "Name"='Команты';


		INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

	EXCEPTION
		WHEN OTHERS THEN
			RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
	END;
END;
$$;